We've got a problem around our network with YouTube. If you go to a YouTube video it pops up a message saying "you need to upgrade your Adobe Flash Player to watch this video". Strangely, if you go to the YouTube Channel of the user that uploaded the video it will let you watch the video from there. It's very annoying, we only upgraded the package two weeks ago.

We are using Flash Player 10.1 which is the current version, but I've noticed that there is a slightly newer version. We're on 10.1.82.76 but the version on the Adobe website is 10.1.85.3 - would this really make such a difference?

I'm reluctant to deploy the new version because it looks more like a configuration problem. Is there a wise owl who can inform me of the true way?

I should mention we're using IE8.